/* -----------------------------------------
   

  full3.js v.0.15
  part of Arduino Mega Server project
  Fullscreen with power didits
-------------------------------------------- */

// Timeline graphics
//var bufferElectro1 = [];

// Main function
function getFull3Data() {
  dash_marker2 = parseFloat("1.0");
  dash_marker3 = parseFloat("1.0");

  var request = new XMLHttpRequest();
  request.onreadystatechange = function() {
    if (this.readyState == 4) {
      if (this.status == 200) {
        if (this.responseXML != null) {

          dash_marker1 = parseFloat("1.0");
          dash_marker2 = parseFloat("0.0");
		  

		 
		    try {
            var dvolt = this.responseXML.getElementsByTagName('voltage')[0].childNodes[0].nodeValue;
          } catch (err) {
              dvolt = "ERR";
            }
        
            var dvoltage = Math.round(parseInt(dvolt), 0);
			document.getElementById("big-dig").innerHTML = dvoltage;
			

		
		   //Cyclos / CPU load
         var cyclosDelay = this.responseXML.getElementsByTagName('cycDelay')[0].childNodes[0].nodeValue;
         var cyclosInSec = this.responseXML.getElementsByTagName('cycInSec')[0].childNodes[0].nodeValue;

          //document.getElementById("big-dig").innerHTML = dvoltage;
          line('graph-voltage', dvoltage, bufferElectro9, 'rgba(55, 55, 55, 1)');
		  
		  

        } // if (this.responseXML != null)
      } // if (this.status == 200)
    } // if (this.readyState == 4)
  } // request.onreadystatechange = function()

  dash_marker1 = parseFloat("0.0");

  // send HTTP GET request with LEDs to switch on/off if any
  request.open("GET", "request_dash" + randomNoCache(), true);
  request.send(null);
  setTimeout('getFull3Data()', 1000);
  dash_marker3 = parseFloat("0.0");
} // getFull3Data()

/* end */